
# line 2 "parse.y"
#include "symbol.h"
#include "code.h"
#define code(c1)	Ft_code(c1)
#define code2(c1, c2) code(c1); code(c2)
#define code3(c1, c2, c3) code(c1); code(c2); code(c3)

#ifdef DEBUG
extern Inst *prog;
#include <stdio.h>
#define PNUM(a)    fprintf(stderr, "Parse: at address %d\n", a);
#define ARGNO(a)   fprintf(stderr, "Parse: argument no %d\n", a);
#define CODE(a)    fprintf(stderr, "Parse: %s\n", a)
#define CODE2(a, b)    CODE(a); CODE(b);
#define CODE3(a, b, c) CODE(a); CODE(b); CODE(c)
#else
#define PNUM(a)
#define ARGNO(a)
#define CODE(a)
#define CODE2(a, b)
#define CODE3(a, b, c)
#endif
int Ft_mathyyerror(char *);
int Ft_mathyylex(void);
extern int Ft_autosymremove(int);
extern int Ft_more_input(int, char *);
extern int Ft_Inbrace;
extern int Ft_Indef;
extern int Ft_Inproto;
extern int Ft_Inauto;
static char *interprompt = 0;

# line 33 "parse.y"
typedef union  {
    Symbol *sym;
    Inst *inst;
    int narg;
    double val;
} YYSTYPE;
#ifdef __cplusplus
#  include <stdio.h>
#  include <yacc.h>
#endif	/* __cplusplus */ 
# define VAR 257
# define BLTINVAR 258
# define CONST 259
# define BLTINCONST 260
# define STRVAR 261
# define BLTINSTRVAR 262
# define STRCONST 263
# define BLTINSTRCONST 264
# define STRING 265
# define UNDEFVEC 266
# define UNDEFVAR 267
# define UNDEFSTRVAR 268
# define VEC 269
# define AUTOVEC 270
# define PARAM 271
# define PRINT 272
# define WHILE 273
# define IF 274
# define ELSE 275
# define CONTINUE 276
# define BREAK 277
# define FOR 278
# define RETURN 279
# define FUNC 280
# define PROC 281
# define FUNCSYM 282
# define PROCSYM 283
# define EFUNCSYM 284
# define EPROCSYM 285
# define AUTO 286
# define ARG 287
# define AUTOSTRVAR 288
# define BLTIN0 289
# define BLTIN1 290
# define BLTIN2 291
# define STRBLTIN2 292
# define BLTIN1VEC 293
# define BLTIN0STR 294
# define BLTIN1STR 295
# define BLTIN2STR 296
# define VARARG 297
# define STRVARARG 298
# define VECARG 299
# define PARARG 300
# define NUMBER 301
# define DIVASS 302
# define MULASS 303
# define ADDASS 304
# define SUBASS 305
# define OR 306
# define AND 307
# define GT 308
# define GE 309
# define LT 310
# define LE 311
# define EQ 312
# define NE 313
# define UNARYMINUS 314
# define NOT 315
# define INCR 316
# define DECR 317
#define Ft_mathyyclearin Ft_mathyychar = -1
#define Ft_mathyyerrok Ft_mathyyerrflag = 0
extern int Ft_mathyychar;
#ifndef YYMAXDEPTH
#define YYMAXDEPTH 150
#endif

/* __YYSCLASS defines the scoping/storage class for global objects
 * that are NOT renamed by the -p option.  By default these names
 * are going to be 'static' so that multi-definition errors
 * will not occur with multiple parsers.
 * If you want (unsupported) access to internal names you need
 * to define this to be null so it implies 'extern' scope.
 * This should not be used in conjunction with -p.
 */
#ifndef __YYSCLASS
# define __YYSCLASS static
#endif
YYSTYPE Ft_mathyylval;
__YYSCLASS YYSTYPE Ft_mathyyval;
typedef int Ft_mathyytabelem;
# define YYERRCODE 256

# line 725 "parse.y"


__YYSCLASS Ft_mathyytabelem Ft_mathyyexca[] ={
-1, 1,
	0, -1,
	257, 123,
	259, 123,
	261, 123,
	263, 123,
	265, 123,
	269, 123,
	271, 123,
	272, 123,
	273, 123,
	274, 123,
	276, 123,
	277, 123,
	278, 123,
	279, 123,
	282, 123,
	283, 123,
	284, 123,
	285, 123,
	289, 123,
	290, 123,
	291, 123,
	292, 123,
	293, 123,
	294, 123,
	295, 123,
	296, 123,
	297, 123,
	298, 123,
	299, 123,
	300, 123,
	301, 123,
	45, 123,
	315, 123,
	316, 123,
	317, 123,
	40, 123,
	123, 123,
	-2, 0,
-1, 19,
	312, 179,
	313, 179,
	43, 179,
	-2, 57,
-1, 20,
	306, 131,
	307, 131,
	308, 131,
	309, 131,
	310, 131,
	311, 131,
	312, 131,
	313, 131,
	43, 131,
	42, 131,
	47, 131,
	37, 131,
	94, 131,
	-2, 58,
-1, 42,
	306, 130,
	307, 130,
	308, 130,
	309, 130,
	310, 130,
	311, 130,
	312, 130,
	313, 130,
	43, 130,
	45, 130,
	42, 130,
	47, 130,
	37, 130,
	94, 130,
	-2, 219,
-1, 43,
	312, 178,
	313, 178,
	43, 178,
	45, 178,
	-2, 220,
-1, 189,
	306, 130,
	307, 130,
	308, 130,
	309, 130,
	310, 130,
	311, 130,
	312, 130,
	313, 130,
	43, 130,
	45, 130,
	42, 130,
	47, 130,
	37, 130,
	94, 130,
	-2, 221,
-1, 190,
	312, 178,
	313, 178,
	43, 178,
	45, 178,
	-2, 222,
-1, 303,
	41, 214,
	44, 214,
	-2, 127,
-1, 307,
	41, 132,
	44, 132,
	-2, 181,
-1, 309,
	41, 134,
	44, 134,
	-2, 128,
-1, 393,
	41, 218,
	44, 218,
	-2, 127,
	};
# define YYNPROD 227
# define YYLAST 1005
__YYSCLASS Ft_mathyytabelem Ft_mathyyact[]={

    64,    84,   366,     4,   300,    83,   195,    85,    22,    21,
    19,    86,   301,    19,    43,    18,    42,    43,    73,    42,
    20,   302,   109,    20,   167,    79,   102,    74,   406,   168,
   164,    52,   165,   272,   166,   182,   136,   181,    99,    53,
    37,   410,   413,   411,   412,   182,   138,   181,   358,   361,
   359,   360,   108,   402,   404,   403,   108,   324,   325,   326,
   127,   396,     2,    14,   162,   167,   178,   267,   183,   377,
   168,   164,   167,   165,   169,   166,   137,   168,   164,   108,
   165,   169,   166,   190,    98,   189,   357,   371,    15,    16,
   192,   417,    66,   381,   197,   100,   305,   101,   203,    11,
   128,   198,   167,   200,   380,   205,   204,   168,   129,   227,
   321,   191,   166,   216,   196,   121,   408,    80,   182,   182,
   181,   181,   169,   299,   150,   182,   355,   181,   208,   169,
   243,   244,   245,   246,   247,   389,   209,   202,   388,   248,
   249,   250,   251,   252,    77,   108,   253,   254,   255,   256,
   257,   258,   259,   260,   261,   262,   163,     8,    10,   169,
   268,   269,   215,    11,   107,   273,   274,   275,   276,   277,
   278,   279,   280,   281,   282,   283,   284,   285,   286,   407,
   351,   182,   217,   181,   379,   293,    90,    91,   182,   354,
   181,   265,   296,   219,   221,   264,   263,   194,   115,   311,
   316,   320,   313,   193,   114,   120,   126,    11,   319,   318,
   188,   187,   303,   303,   155,   156,   272,   356,   182,   182,
   181,   181,   186,   328,   329,   330,   331,   332,   108,   334,
   335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
   345,   346,   347,   348,   185,    63,   184,   114,   387,   161,
    65,   388,   120,   126,   270,   266,   383,   382,   369,   364,
   364,   370,   160,   113,   112,   110,   111,   106,   105,   103,
   104,   145,   287,   288,   289,   290,   365,   291,   292,   364,
   159,   158,   303,   303,   297,   157,    96,   142,   141,   139,
   140,    93,   317,   177,   176,   170,   171,   172,   173,   174,
   175,   143,   144,    89,   179,   180,    63,   196,     5,   363,
   138,    65,   364,   327,   179,   180,    12,     9,   310,   167,
   367,   368,   414,   373,   168,   164,   378,   165,    47,   166,
   375,   374,     6,     7,   177,   176,   170,   171,   172,   173,
   174,   175,   176,   170,   171,   172,   173,   174,   175,   133,
   132,   130,   131,   208,   384,    63,   125,   124,   122,   123,
    65,   209,   372,   134,   135,   154,   153,   151,   152,   390,
   394,   398,   397,    92,   295,   333,   169,   391,   114,   401,
   400,    76,   362,   393,    13,   409,   392,   349,   350,    99,
   294,    75,    17,   422,   405,   218,   376,   322,   214,    23,
   416,     3,   415,     1,    63,    94,   418,    97,   129,    65,
   323,    19,    33,    32,   395,    43,    19,    42,    31,   421,
    43,    20,    42,   424,   423,   419,    20,    30,   167,   199,
   420,    95,   201,   168,   164,   353,   165,    78,   166,   119,
   118,   116,   117,    36,   314,   315,     0,   385,   386,     0,
   167,     0,     0,     0,   352,   168,   164,     0,   165,     0,
   166,     0,    49,   399,    55,     0,    34,     0,    69,   120,
    68,     0,     0,     0,    38,     0,    40,    24,    44,    45,
     0,    26,    27,    46,    25,   169,     0,    57,    29,    56,
    28,   220,     0,     0,    58,    60,    61,    62,    59,    72,
    71,    70,    51,    35,    39,    41,    54,   169,     0,     0,
     0,     0,   149,   148,   146,   147,     0,     0,     0,     0,
    67,    48,    50,    49,     0,    55,     0,   307,     0,    69,
     0,    68,   306,     0,   308,   309,     0,   304,     0,   167,
     0,     0,     0,   312,   168,   164,     0,   165,    57,   166,
    56,   142,   141,   139,   140,    58,    60,    61,    62,    59,
    72,    71,    70,    51,    35,    82,    88,    54,     0,     0,
     0,     0,    49,     0,    55,     0,    34,     0,    69,     0,
    68,    67,    48,    50,    81,     0,    87,     0,   177,   176,
   170,   171,   172,   173,   174,   175,   169,    57,     0,    56,
     0,     0,     0,     0,    58,    60,    61,    62,    59,    72,
    71,    70,    51,    35,    82,    88,    54,     0,     0,     0,
     0,    49,     0,    55,     0,    34,     0,    69,     0,    68,
    67,    48,    50,    38,   167,    40,     0,     0,   298,   168,
   164,     0,   165,     0,   166,     0,    57,   222,    56,   133,
   132,   130,   131,    58,    60,    61,    62,    59,    72,    71,
    70,    51,    35,    39,    41,    54,     0,     0,     0,   233,
     0,     0,     0,     0,     0,     0,     0,     0,   167,    67,
    48,    50,   271,   168,   164,     0,   165,     0,   166,     0,
     0,   169,     0,     0,     0,     0,     0,   177,   176,   170,
   171,   172,   173,   174,   175,   167,     0,     0,     0,     0,
   168,   164,    34,   165,    69,   166,    68,     0,     0,   177,
   176,   170,   171,   172,   173,   174,   175,   206,   167,     0,
     0,   210,     0,   168,   164,   169,   165,     0,   166,   212,
     0,    40,     0,     0,     0,    72,    71,    70,     0,    35,
     0,   223,   224,   225,   226,     0,     0,   228,   229,   230,
   231,   232,   169,     0,     0,     0,   167,   207,   211,   213,
    41,   168,   164,     0,   165,     0,   166,     0,     0,     0,
     0,     0,     0,     0,     0,   169,   234,   235,   236,   237,
     0,   238,   239,   240,   241,   242,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,   177,   176,
   170,   171,   172,   173,   174,   175,     0,     0,     0,     0,
     0,     0,     0,   169,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,   177,   176,   170,   171,   172,   173,   174,
   175,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,   177,   176,   170,
   171,   172,   173,   174,   175,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,   177,   176,   170,   171,   172,   173,
   174,   175,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,   170,
   171,   172,   173,   174,   175 };
__YYSCLASS Ft_mathyytabelem Ft_mathyypact[]={

 -3000,    52, -3000,   307,   148,   306,  -194,  -194,   205, -3000,
 -3000,   205, -3000, -3000, -3000, -3000, -3000, -3000, -3000, -3000,
 -3000, -3000, -3000,   100,   315,   263, -3000, -3000, -3000, -3000,
   251,   251,   246,  -248,    34,    36, -3000, -3000,   -35,   -39,
   137,    54, -3000, -3000, -3000, -3000, -3000, -3000,  -197,    47,
  -221,   -15,   210,    63, -3000, -3000, -3000, -3000,   245,   241,
   240,   222,   209,   315,   668,   315,     2,   315, -3000, -3000,
   206,   204,   182, -3000, -3000,   171,   170,   315,    67,   668,
     2,   -12,   -12, -3000, -3000, -3000, -3000,   -12,   -12,   315,
   163,   157,   297,   315,   297,    44,   470,   103, -3000, -3000,
   451,   451, -3000, -3000, -3000, -3000, -3000, -3000,   315, -3000,
 -3000, -3000, -3000, -3000, -3000, -3000, -3000, -3000, -3000, -3000,
 -3000, -3000, -3000, -3000, -3000, -3000, -3000, -3000, -3000,   315,
   315,   315,   315,   315, -3000, -3000, -3000, -3000,   315,   315,
   315,   315,   315, -3000, -3000,   315,   315,   315,   315,   315,
   315,   315,   315,   315,   315,   156,   155,   150,  -202,   315,
   315,   451,   641,    -8,   315,   315,   315,   315,   315,   315,
   315,   315,   315,   315,   315,   315,   315,   315,   -20,   451,
   451,   451,   451,   -20,   451,   451,   144, -3000, -3000, -3000,
 -3000,   315,   597,   266,   266, -3000, -3000,   502, -3000,   364,
   315,    66, -3000, -3000, -3000, -3000,   347,   249,   210,    63,
    34,    36,   -35,   -39, -3000, -3000, -3000, -3000,  -240,    76,
   451,    76,   315,   315,   315,   315,   315,   282,   315,   315,
   315,   315,   315,   315,   315,   315,   315,   315,   315,   315,
   315,   315,   315,   668,   668,   668,   668,   668,   668,   668,
   668,   668,   668,   668,   668,   668,   668,   668,   668,   668,
   668,   668,   668,   266,   266, -3000,   139, -3000,   413,   391,
   145, -3000, -3000,    65,    65,   -20,   -20,   -20,   -20,   729,
   729,   729,   729,   729,   729,   691,    35,    76,    76, -3000,
 -3000,    82,   176, -3000,  -249,  -249,   668,     2, -3000,   268,
 -3000, -3000, -3000, -3000,   -12, -3000, -3000,    34, -3000,   -12,
   235,    40, -3000,   104,   297,   217,   668,     2, -3000, -3000,
    28,   470,    59,    60,    32, -3000, -3000,   175,   668,   668,
   668,   668,   668, -3000,   668,   668,   668,   668,   668,   668,
   668,   668,   668,   668,   668,   668,   668,   668,   668,   216,
   215, -3000, -3000,   315,   451,   451, -3000,   207, -3000, -3000,
 -3000, -3000,    94, -3000,   266, -3000, -3000,  -214, -3000, -3000,
   364, -3000, -3000, -3000, -3000, -3000, -3000, -3000,    40, -3000,
  -244, -3000, -3000, -3000,   -13,   138,    75, -3000,  -256, -3000,
 -3000, -3000, -3000, -3000, -3000,   297, -3000,    40,   668,     2,
 -3000, -3000,    30, -3000, -3000,   315, -3000, -3000, -3000,   205,
 -3000, -3000, -3000, -3000,   205, -3000, -3000, -3000,   668, -3000,
 -3000,    40,   315, -3000,   668 };
__YYSCLASS Ft_mathyytabelem Ft_mathyypgo[]={

     0,     3,    11,     7,     5,     0,   445,   444,    15,   443,
   437,    40,   432,   431,   429,     1,   669,   647,     9,     8,
   373,   427,   418,   157,   414,     2,   413,    92,    21,    12,
    18,   412,    96,     4,   384,    39,    84,   410,   407,   123,
    31,   403,   401,   164,   399,     6,   398,   397,   396,   395,
   394,   393,   391,   390,    86,   385,   381,   374,   322 };
__YYSCLASS Ft_mathyytabelem Ft_mathyyr1[]={

     0,    41,    41,    41,    41,    41,     1,     1,    11,    11,
    11,    11,    11,    11,    11,    11,    11,    11,    11,    11,
    11,    11,    11,    11,    11,    11,    11,    11,    15,    15,
    18,    18,    18,    18,    18,    18,    18,    18,    18,    18,
    19,    19,    19,    19,    19,    19,    19,    19,    19,    19,
    40,    40,    35,    35,    43,    17,    16,     8,     8,     8,
     8,     8,     8,     8,     8,     8,     8,     8,     8,     8,
     8,     8,     8,    46,     8,    45,    45,    31,    48,    47,
    47,    47,    38,    38,    38,    38,    38,    49,    36,    37,
    50,    37,    37,    37,    37,    51,    37,    37,    37,    20,
    13,    12,    12,    12,    12,    12,    12,    12,    12,    14,
     7,     6,     6,     6,     6,     6,     6,     6,     6,    21,
    22,    24,    26,    23,    25,     2,     2,     5,     5,     5,
    30,    30,    28,    28,    32,    29,    29,    33,     9,     9,
     9,     9,     9,     9,     9,     9,     3,     3,     3,     3,
     3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
     3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
     3,     3,     3,     3,     3,     3,     3,     3,    27,    27,
     4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
    52,    53,    55,    42,    56,    57,    58,    42,    34,    34,
    34,    54,    54,    54,    54,    54,    54,    54,    54,    54,
    39,    39,    39,    39,    39,    39,    39,    39,    39,    44,
    44,    44,    44,    10,    10,    10,    10 };
__YYSCLASS Ft_mathyytabelem Ft_mathyyr2[]={

     0,     0,     4,     6,     7,     7,     4,     6,     7,     7,
     7,     7,     7,     7,     7,     7,     7,     7,     7,     7,
     7,     7,     7,     7,     7,     7,     7,     7,     7,     7,
     9,     9,     9,     9,     9,     9,     9,     9,     9,     9,
     9,     9,     9,     9,     9,     9,     9,     9,     9,     9,
     5,     5,     5,     5,     6,     1,     1,     3,     3,     2,
     2,     3,     5,     3,     9,     3,     3,    11,    11,    11,
    13,    19,    15,     1,    11,     0,     3,     3,     3,     0,
     5,     4,     1,     3,     5,     5,     5,     1,     7,     3,
     1,     9,     3,     3,     7,     1,    13,     7,     7,     7,
     5,     3,     3,     2,     2,     7,     7,     6,     6,     7,
     5,     3,     3,     2,     2,     7,     7,     6,     6,     3,
     3,     3,     3,     1,     1,     2,     2,     2,     3,     3,
     2,     2,     3,     3,     3,     2,     3,     3,     5,     5,
     5,     5,     5,     5,     5,     5,     3,     3,     3,     3,
    11,    11,     7,     9,     9,    13,    13,     3,     3,     7,
     7,     7,     7,     7,     7,     7,     5,     7,     7,     7,
     7,     7,     7,     7,     7,     7,     7,     5,     2,     2,
     3,     3,     3,     3,    13,     9,     7,     7,     7,     7,
     1,     1,     1,    19,     1,     1,     1,    19,     2,     2,
     2,     0,     3,     3,     3,     3,     7,     7,     7,     7,
     1,     3,     3,     3,     3,     7,     7,     7,     7,     3,
     3,     7,     7,     3,     3,     7,     7 };
__YYSCLASS Ft_mathyytabelem Ft_mathyychk[]={

 -3000,   -41,    10,   -42,    -1,   256,   280,   281,   -23,    10,
    10,    59,    10,   -34,   257,   282,   283,   -34,    -8,   -15,
    -2,   -18,   -19,   -44,   272,   279,   276,   277,   285,   283,
   -21,   -22,   -26,   -31,   261,   298,    -9,   -11,   269,   299,
   271,   300,    -3,    -4,   273,   274,   278,   123,   316,   257,
   317,   297,   -40,   -35,   301,   259,   284,   282,   289,   293,
   290,   291,   292,    40,    -5,    45,   -27,   315,   265,   263,
   296,   295,   294,   -30,    -8,   -52,   -56,    44,   -10,    -5,
   -27,   269,   299,    -4,   -15,    -3,    -2,   271,   300,    40,
   -23,   -23,   -20,    40,   -20,   -13,    40,   -38,   -36,   286,
    61,    61,    61,   304,   305,   303,   302,   -43,    91,    61,
   304,   305,   303,   302,   -43,    61,   304,   305,   303,   302,
   -43,    61,   304,   305,   303,   302,   -43,   257,   297,    61,
   304,   305,   303,   302,   316,   317,   257,   297,    61,   304,
   305,   303,   302,   316,   317,    61,   304,   305,   303,   302,
    61,   304,   305,   303,   302,   -23,   -23,    40,    40,    40,
    40,    40,    -5,   -27,    43,    45,    47,    37,    42,    94,
   308,   309,   310,   311,   312,   313,   307,   306,    -5,   312,
   313,    45,    43,    -5,    40,    40,    40,    40,    40,    -3,
    -4,    44,    -5,    40,    40,   -45,    10,    -5,   -45,   -14,
    59,   -12,   -11,   -15,   -18,   -19,   257,   297,   -40,   -35,
   261,   298,   269,   299,   -46,    59,    10,   -36,   -49,   -27,
    40,   -27,   -17,   -17,   -17,   -17,   -17,    -5,   -17,   -17,
   -17,   -17,   -17,   -16,   -16,   -16,   -16,   -16,   -16,   -16,
   -16,   -16,   -16,    -5,    -5,    -5,    -5,    -5,    -5,    -5,
    -5,    -5,    -5,    -5,    -5,    -5,    -5,    -5,    -5,    -5,
    -5,    -5,    -5,    40,    40,    41,   -32,   269,    -5,    -5,
   -27,    41,    41,    -5,    -5,    -5,    -5,    -5,    -5,    -5,
    -5,    -5,    -5,    -5,    -5,    -5,    -5,   -27,   -27,   -27,
   -27,   -27,   -27,    41,   -53,   -57,    -5,   -27,    41,   -39,
   -33,   -29,   -28,   -30,   271,   -32,   266,   261,   268,   269,
   -39,    -1,    41,    -1,    -7,    -6,    -5,   -27,   -18,   -19,
    -5,    44,   -47,   -37,   297,   298,   299,   -27,    -5,    -5,
    -5,    -5,    -5,    93,    -5,    -5,    -5,    -5,    -5,    -5,
    -5,    -5,    -5,    -5,    -5,    -5,    -5,    -5,    -5,   -39,
   -39,    41,    41,    44,    44,    44,    41,   -54,   297,   299,
   300,   298,   -54,    41,    44,    41,   -25,   -45,   -45,    41,
    44,    59,   -11,   -15,   -18,   -19,   -48,    10,    -1,   125,
    44,    61,    41,    41,    -5,   -27,   -27,    41,    44,    41,
   -33,   -29,   -28,   -30,   -25,   -24,   275,    -1,    -5,   -27,
   -18,   -19,   297,   299,   298,   -50,    41,    41,    41,   -55,
   297,   299,   300,   298,   -58,   -45,   -25,    61,    -5,    -8,
    -8,    -1,   -51,   -25,    -5 };
__YYSCLASS Ft_mathyytabelem Ft_mathyydef[]={

     1,    -2,     2,     0,     0,     0,     0,     0,     0,     3,
     4,     0,     5,   190,   198,   199,   200,   194,     6,    -2,
    -2,    59,    60,    61,     0,    63,    65,    66,   123,   123,
     0,     0,     0,    82,   181,   182,   125,   126,   128,   129,
     0,     0,    -2,    -2,   119,   120,   122,    77,     0,   148,
     0,   147,   158,   157,   146,   149,   123,   123,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,   180,   183,
     0,     0,     0,   127,     7,     0,     0,     0,    62,   223,
   224,   128,   129,   178,   179,   130,   131,     0,     0,     0,
     0,     0,    75,     0,    75,     0,     0,    73,    83,    87,
     0,     0,    55,    55,    55,    55,    55,    52,     0,    55,
    55,    55,    55,    55,    50,    56,    56,    56,    56,    56,
    53,    56,    56,    56,    56,    56,    51,   138,   142,     0,
     0,     0,     0,     0,   139,   141,   140,   144,     0,     0,
     0,     0,     0,   143,   145,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,   166,     0,
     0,     0,     0,   177,     0,     0,     0,   191,   195,    -2,
    -2,     0,     0,   210,   210,   123,    76,     0,   123,     0,
     0,   100,   101,   102,   103,   104,     0,     0,     0,     0,
     0,     0,     0,     0,    79,    84,    85,    86,     0,    28,
     0,    29,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     8,     9,    10,    11,    12,    13,    14,
    15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
    25,    26,    27,   210,   210,   152,     0,   134,     0,     0,
     0,   159,   189,   160,   161,   162,   163,   164,   165,   169,
   170,   171,   172,   173,   174,   175,   176,   167,   168,   187,
   188,     0,     0,   186,   201,   201,   225,   226,    64,     0,
   211,   212,   213,    -2,   137,   135,   136,    -2,   133,    -2,
     0,   124,    99,    75,    75,     0,   111,   112,   113,   114,
     0,     0,   123,    88,    89,    92,    93,     0,    30,    31,
    32,    33,    34,    54,    35,    36,    37,    38,    39,    40,
    41,    42,    43,    44,    45,    46,    47,    48,    49,     0,
     0,   153,   154,     0,     0,     0,   185,     0,   202,   203,
   204,   205,     0,    67,     0,    68,    69,   124,   123,   110,
     0,   109,   105,   106,   107,   108,    74,    80,    81,    78,
     0,    90,   150,   151,     0,     0,     0,   192,     0,   196,
   215,   216,   217,    -2,    70,    75,   121,   124,   115,   116,
   117,   118,    94,    97,    98,     0,   155,   156,   184,     0,
   206,   207,   208,   209,     0,   123,    72,    95,    91,   193,
   197,   124,     0,    71,    96 };
typedef struct { char *t_name; int t_val; } Ft_mathyytoktype;
#ifndef YYDEBUG
#	define YYDEBUG	0	/* don't allow debugging */
#endif

#if YYDEBUG

__YYSCLASS Ft_mathyytoktype Ft_mathyytoks[] =
{
	"VAR",	257,
	"BLTINVAR",	258,
	"CONST",	259,
	"BLTINCONST",	260,
	"STRVAR",	261,
	"BLTINSTRVAR",	262,
	"STRCONST",	263,
	"BLTINSTRCONST",	264,
	"STRING",	265,
	"UNDEFVEC",	266,
	"UNDEFVAR",	267,
	"UNDEFSTRVAR",	268,
	"VEC",	269,
	"AUTOVEC",	270,
	"PARAM",	271,
	"PRINT",	272,
	"WHILE",	273,
	"IF",	274,
	"ELSE",	275,
	"CONTINUE",	276,
	"BREAK",	277,
	"FOR",	278,
	"RETURN",	279,
	"FUNC",	280,
	"PROC",	281,
	"FUNCSYM",	282,
	"PROCSYM",	283,
	"EFUNCSYM",	284,
	"EPROCSYM",	285,
	"AUTO",	286,
	"ARG",	287,
	"AUTOSTRVAR",	288,
	"BLTIN0",	289,
	"BLTIN1",	290,
	"BLTIN2",	291,
	"STRBLTIN2",	292,
	"BLTIN1VEC",	293,
	"BLTIN0STR",	294,
	"BLTIN1STR",	295,
	"BLTIN2STR",	296,
	"VARARG",	297,
	"STRVARARG",	298,
	"VECARG",	299,
	"PARARG",	300,
	"NUMBER",	301,
	"=",	61,
	"DIVASS",	302,
	"MULASS",	303,
	"ADDASS",	304,
	"SUBASS",	305,
	"OR",	306,
	"AND",	307,
	"GT",	308,
	"GE",	309,
	"LT",	310,
	"LE",	311,
	"EQ",	312,
	"NE",	313,
	"+",	43,
	"-",	45,
	"*",	42,
	"/",	47,
	"%",	37,
	"UNARYMINUS",	314,
	"NOT",	315,
	"^",	94,
	"INCR",	316,
	"DECR",	317,
	"-unknown-",	-1	/* ends search */
};

__YYSCLASS char * Ft_mathyyreds[] =
{
	"-no such reduction-",
	"list : /* empty */",
	"list : list '\n'",
	"list : list defn '\n'",
	"list : list stmtline '\n'",
	"list : list error '\n'",
	"stmtline : begin stmt",
	"stmtline : stmtline ';' stmt",
	"asgn : VAR '=' expr",
	"asgn : VAR ADDASS expr",
	"asgn : VAR SUBASS expr",
	"asgn : VAR MULASS expr",
	"asgn : VAR DIVASS expr",
	"asgn : VARARG '=' expr",
	"asgn : VARARG ADDASS expr",
	"asgn : VARARG SUBASS expr",
	"asgn : VARARG MULASS expr",
	"asgn : VARARG DIVASS expr",
	"asgn : argelement '=' expr",
	"asgn : argelement ADDASS expr",
	"asgn : argelement SUBASS expr",
	"asgn : argelement MULASS expr",
	"asgn : argelement DIVASS expr",
	"asgn : element '=' expr",
	"asgn : element ADDASS expr",
	"asgn : element SUBASS expr",
	"asgn : element MULASS expr",
	"asgn : element DIVASS expr",
	"strasgn : STRVAR '=' string",
	"strasgn : STRVARARG '=' string",
	"vecasgn : VEC '=' vecloop expr",
	"vecasgn : VEC ADDASS vecloop expr",
	"vecasgn : VEC SUBASS vecloop expr",
	"vecasgn : VEC MULASS vecloop expr",
	"vecasgn : VEC DIVASS vecloop expr",
	"vecasgn : VECARG '=' vecloop expr",
	"vecasgn : VECARG ADDASS vecloop expr",
	"vecasgn : VECARG SUBASS vecloop expr",
	"vecasgn : VECARG MULASS vecloop expr",
	"vecasgn : VECARG DIVASS vecloop expr",
	"parasgn : PARAM '=' parloop expr",
	"parasgn : PARAM ADDASS parloop expr",
	"parasgn : PARAM SUBASS parloop expr",
	"parasgn : PARAM MULASS parloop expr",
	"parasgn : PARAM DIVASS parloop expr",
	"parasgn : PARARG '=' parloop expr",
	"parasgn : PARARG ADDASS parloop expr",
	"parasgn : PARARG SUBASS parloop expr",
	"parasgn : PARARG MULASS parloop expr",
	"parasgn : PARARG DIVASS parloop expr",
	"argelement : VECARG index",
	"argelement : PARARG index",
	"element : VEC index",
	"element : PARAM index",
	"index : '[' expr ']'",
	"vecloop : /* empty */",
	"parloop : /* empty */",
	"stmt : strasgn",
	"stmt : dontprint",
	"stmt : vecasgn",
	"stmt : parasgn",
	"stmt : linprlist",
	"stmt : PRINT prlist",
	"stmt : RETURN",
	"stmt : RETURN '(' expr ')'",
	"stmt : CONTINUE",
	"stmt : BREAK",
	"stmt : EPROCSYM begin '(' arglist ')'",
	"stmt : PROCSYM begin '(' arglist ')'",
	"stmt : while cond newline stmtline end",
	"stmt : if cond newline stmtline newline end",
	"stmt : if cond newline stmtline newline else newline stmtline end",
	"stmt : for asgnlist forcond exprlist newline stmtline end",
	"stmt : opbrace autolines",
	"stmt : opbrace autolines stmtlist clbrace",
	"newline : /* empty */",
	"newline : '\n'",
	"opbrace : '{'",
	"clbrace : '}'",
	"stmtlist : /* empty */",
	"stmtlist : stmtlist '\n'",
	"stmtlist : stmtlist stmtline",
	"autolines : /* empty */",
	"autolines : autol",
	"autolines : autolines ';'",
	"autolines : autolines '\n'",
	"autolines : autolines autol",
	"autol : AUTO",
	"autol : AUTO autolist",
	"autolist : VARARG",
	"autolist : VARARG '='",
	"autolist : VARARG '=' expr",
	"autolist : STRVARARG",
	"autolist : VECARG",
	"autolist : autolist ',' VARARG",
	"autolist : autolist ',' VARARG '='",
	"autolist : autolist ',' VARARG '=' expr",
	"autolist : autolist ',' VECARG",
	"autolist : autolist ',' STRVARARG",
	"cond : '(' expr ')'",
	"asgnlist : '(' asgnl",
	"asgnl : asgn",
	"asgnl : strasgn",
	"asgnl : vecasgn",
	"asgnl : parasgn",
	"asgnl : asgnl ',' asgn",
	"asgnl : asgnl ',' strasgn",
	"asgnl : asgnl ',' vecasgn",
	"asgnl : asgnl ',' parasgn",
	"forcond : ';' expr ';'",
	"exprlist : exprl ')'",
	"exprl : expr",
	"exprl : string",
	"exprl : vecasgn",
	"exprl : parasgn",
	"exprl : exprl ',' expr",
	"exprl : exprl ',' string",
	"exprl : exprl ',' vecasgn",
	"exprl : exprl ',' parasgn",
	"while : WHILE",
	"if : IF",
	"else : ELSE",
	"for : FOR",
	"begin : /* empty */",
	"end : /* empty */",
	"dontprint : varincr",
	"dontprint : asgn",
	"expr : argexpr",
	"expr : VEC",
	"expr : VECARG",
	"argexpr : value",
	"argexpr : dontprint",
	"argstr : STRVAR",
	"argstr : UNDEFSTRVAR",
	"nicevec : VEC",
	"argvec : nicevec",
	"argvec : UNDEFVEC",
	"argpar : PARAM",
	"varincr : INCR VAR",
	"varincr : VAR INCR",
	"varincr : DECR VAR",
	"varincr : VAR DECR",
	"varincr : INCR VARARG",
	"varincr : VARARG INCR",
	"varincr : DECR VARARG",
	"varincr : VARARG DECR",
	"value : NUMBER",
	"value : VARARG",
	"value : VAR",
	"value : CONST",
	"value : EFUNCSYM begin '(' arglist ')'",
	"value : FUNCSYM begin '(' arglist ')'",
	"value : BLTIN0 '(' ')'",
	"value : BLTIN1VEC '(' nicevec ')'",
	"value : BLTIN1 '(' expr ')'",
	"value : BLTIN2 '(' expr ',' expr ')'",
	"value : STRBLTIN2 '(' string ',' string ')'",
	"value : element",
	"value : argelement",
	"value : '(' expr ')'",
	"value : expr '+' expr",
	"value : expr '-' expr",
	"value : expr '/' expr",
	"value : expr '%' expr",
	"value : expr '*' expr",
	"value : expr '^' expr",
	"value : '-' expr",
	"value : string EQ string",
	"value : string NE string",
	"value : expr GT expr",
	"value : expr GE expr",
	"value : expr LT expr",
	"value : expr LE expr",
	"value : expr EQ expr",
	"value : expr NE expr",
	"value : expr AND expr",
	"value : expr OR expr",
	"value : NOT expr",
	"string : strvalue",
	"string : strasgn",
	"strvalue : STRING",
	"strvalue : STRVAR",
	"strvalue : STRVARARG",
	"strvalue : STRCONST",
	"strvalue : BLTIN2STR '(' string ',' string ')'",
	"strvalue : BLTIN1STR '(' string ')'",
	"strvalue : BLTIN0STR '(' ')'",
	"strvalue : string '-' string",
	"strvalue : string '+' string",
	"strvalue : '(' string ')'",
	"defn : FUNC procname",
	"defn : FUNC procname '('",
	"defn : FUNC procname '(' protolist ')'",
	"defn : FUNC procname '(' protolist ')' stmt",
	"defn : PROC procname",
	"defn : PROC procname '('",
	"defn : PROC procname '(' protolist ')'",
	"defn : PROC procname '(' protolist ')' stmt",
	"procname : VAR",
	"procname : FUNCSYM",
	"procname : PROCSYM",
	"protolist : /* empty */",
	"protolist : VARARG",
	"protolist : VECARG",
	"protolist : PARARG",
	"protolist : STRVARARG",
	"protolist : protolist ',' VARARG",
	"protolist : protolist ',' VECARG",
	"protolist : protolist ',' PARARG",
	"protolist : protolist ',' STRVARARG",
	"arglist : /* empty */",
	"arglist : argpar",
	"arglist : argvec",
	"arglist : argstr",
	"arglist : argexpr",
	"arglist : arglist ',' argpar",
	"arglist : arglist ',' argvec",
	"arglist : arglist ',' argstr",
	"arglist : arglist ',' argexpr",
	"linprlist : value",
	"linprlist : strvalue",
	"linprlist : linprlist ',' value",
	"linprlist : linprlist ',' strvalue",
	"prlist : expr",
	"prlist : string",
	"prlist : prlist ',' expr",
	"prlist : prlist ',' string",
};
#endif /* YYDEBUG */
#define YYFLAG  (-3000)
/* @(#) $Revision: 70.7 $ */    

/*
** Skeleton parser driver for yacc output
*/

#if defined(NLS) && !defined(NL_SETN)
#include <msgbuf.h>
#endif

#ifndef nl_msg
#define nl_msg(i,s) (s)
#endif

/*
** yacc user known macros and defines
*/
#define YYERROR		goto Ft_mathyyerrlab

#ifndef __RUNTIME_YYMAXDEPTH
#define YYACCEPT	return(0)
#define YYABORT		return(1)
#else
#define YYACCEPT	{free_stacks(); return(0);}
#define YYABORT		{free_stacks(); return(1);}
#endif

#define YYBACKUP( newtoken, newvalue )\
{\
	if ( Ft_mathyychar >= 0 || ( Ft_mathyyr2[ Ft_mathyytmp ] >> 1 ) != 1 )\
	{\
		Ft_mathyyerror( (nl_msg(30001,"syntax error - cannot backup")) );\
		goto Ft_mathyyerrlab;\
	}\
	Ft_mathyychar = newtoken;\
	Ft_mathyystate = *Ft_mathyyps;\
	Ft_mathyylval = newvalue;\
	goto Ft_mathyynewstate;\
}
#define YYRECOVERING()	(!!Ft_mathyyerrflag)
#ifndef YYDEBUG
#	define YYDEBUG	1	/* make debugging available */
#endif

/*
** user known globals
*/

#ifdef YYREENTRANT
__thread int Ft_mathyydebug;		/* set to 1 to get debugging */
#else
int Ft_mathyydebug;			/* set to 1 to get debugging */
#endif

/*
** driver internal defines
*/
/* define for YYFLAG now generated by yacc program. */
/*#define YYFLAG		(FLAGVAL)*/

/*
** global variables used by the parser
*/
# ifndef __RUNTIME_YYMAXDEPTH

#   ifdef YYREENTRANT
__thread __YYSCLASS YYSTYPE Ft_mathyyv[ YYMAXDEPTH ];  /* value stack */
__thread __YYSCLASS int Ft_mathyys[ YYMAXDEPTH ];      /* state stack */
#   else
__YYSCLASS YYSTYPE Ft_mathyyv[ YYMAXDEPTH ];           /* value stack */
__YYSCLASS int Ft_mathyys[ YYMAXDEPTH ];               /* state stack */
#   endif

# else

#  ifdef YYREENTRANT
__thread __YYSCLASS YYSTYPE *Ft_mathyyv;               /* pointer to malloc'ed stack st
value stack */
__thread __YYSCLASS int *Ft_mathyys;                   /* pointer to malloc'ed stack st
ack */
#  else
__YYSCLASS YYSTYPE *Ft_mathyyv;                        /* pointer to malloc'ed value st
ack */
__YYSCLASS int *Ft_mathyys;                            /* pointer to malloc'ed stack stack */
#  endif

#if defined(__STDC__) || defined (__cplusplus)
#include <stdlib.h>
#else
	extern char *malloc();
	extern char *realloc();
	extern void free();
#endif /* __STDC__ or __cplusplus */


static int allocate_stacks(); 
static void free_stacks();
# ifndef YYINCREMENT
# define YYINCREMENT (YYMAXDEPTH/2) + 10
# endif
# endif	/* __RUNTIME_YYMAXDEPTH */
long  Ft_mathyymaxdepth = YYMAXDEPTH;


#ifdef YYREENTRANT

__thread __YYSCLASS YYSTYPE *Ft_mathyypv;      /* top of value stack */
__thread __YYSCLASS int *Ft_mathyyps;          /* top of state stack */

__thread __YYSCLASS int Ft_mathyystate;        /* current state */
__thread __YYSCLASS int Ft_mathyytmp;          /* extra var (lasts between blocks) */

__thread int Ft_mathyynerrs;                   /* number of errors */
__thread __YYSCLASS int Ft_mathyyerrflag;      /* error recovery flag */
__thread int Ft_mathyychar;                    /* current input token number */

__thread extern int Ft_mathyyinit_key;           /* init TLS data once */
extern int TLS_INIT; 

#else

__YYSCLASS YYSTYPE *Ft_mathyypv;               /* top of value stack */
__YYSCLASS int *Ft_mathyyps;                   /* top of state stack */

__YYSCLASS int Ft_mathyystate;                 /* current state */
__YYSCLASS int Ft_mathyytmp;                   /* extra var (lasts between blocks) */

int Ft_mathyynerrs;                            /* number of errors */
__YYSCLASS int Ft_mathyyerrflag;               /* error recovery flag */
int Ft_mathyychar;
#endif


/*
** Ft_mathyyparse - return 0 if worked, 1 if syntax error not recovered from
l*/
int
Ft_mathyyparse()
{
	register YYSTYPE *Ft_mathyypvt;	/* top of value stack for $vars */


        /*
        ** Initialize externals - Ft_mathyyparse may be called more than once
        */

#ifdef YYREENTRANT
        if (Ft_mathyyinit_key != TLS_INIT)
        {
            Ft_mathyyinit_key = TLS_INIT; 
            Ft_mathyyinit_tls();
        }
#endif

	/*
	** Initialize externals - Ft_mathyyparse may be called more than once
	*/
# ifdef __RUNTIME_YYMAXDEPTH
	if (allocate_stacks()) YYABORT;
# endif
	Ft_mathyypv = &Ft_mathyyv[-1];
	Ft_mathyyps = &Ft_mathyys[-1];
	Ft_mathyystate = 0;
	Ft_mathyytmp = 0;
	Ft_mathyynerrs = 0;
	Ft_mathyyerrflag = 0;
	Ft_mathyychar = -1;

	goto Ft_mathyystack;
	{
		register YYSTYPE *Ft_mathyy_pv;	/* top of value stack */
		register int *Ft_mathyy_ps;		/* top of state stack */
		register int Ft_mathyy_state;		/* current state */
		register int  Ft_mathyy_n;		/* internal state number info */

		/*
		** get globals into registers.
		** branch to here only if YYBACKUP was called.
		*/
	Ft_mathyynewstate:
		Ft_mathyy_pv = Ft_mathyypv;
		Ft_mathyy_ps = Ft_mathyyps;
		Ft_mathyy_state = Ft_mathyystate;
		goto Ft_mathyy_newstate;

		/*
		** get globals into registers.
		** either we just started, or we just finished a reduction
		*/
	Ft_mathyystack:
		Ft_mathyy_pv = Ft_mathyypv;
		Ft_mathyy_ps = Ft_mathyyps;
		Ft_mathyy_state = Ft_mathyystate;

		/*
		** top of for (;;) loop while no reductions done
		*/
	Ft_mathyy_stack:
		/*
		** put a state and value onto the stacks
		*/
#if YYDEBUG
		/*
		** if debugging, look up token value in list of value vs.
		** name pairs.  0 and negative (-1) are special values.
		** Note: linear search is used since time is not a real
		** consideration while debugging.
		*/
		if ( Ft_mathyydebug )
		{
			register int Ft_mathyy_i;

			printf( "State %d, token ", Ft_mathyy_state );
			if ( Ft_mathyychar == 0 )
				printf( "end-of-file\n" );
			else if ( Ft_mathyychar < 0 )
				printf( "-none-\n" );
			else
			{
				for ( Ft_mathyy_i = 0; Ft_mathyytoks[Ft_mathyy_i].t_val >= 0;
					Ft_mathyy_i++ )
				{
					if ( Ft_mathyytoks[Ft_mathyy_i].t_val == Ft_mathyychar )
						break;
				}
				printf( "%s\n", Ft_mathyytoks[Ft_mathyy_i].t_name );
			}
		}
#endif /* YYDEBUG */
		if ( ++Ft_mathyy_ps >= &Ft_mathyys[ Ft_mathyymaxdepth ] )	/* room on stack? */
		{
# ifndef __RUNTIME_YYMAXDEPTH
			Ft_mathyyerror( (nl_msg(30002,"yacc stack overflow")) );
			YYABORT;
# else
			/* save old stack bases to recalculate pointers */
			YYSTYPE * Ft_mathyyv_old = Ft_mathyyv;
			int * Ft_mathyys_old = Ft_mathyys;
			Ft_mathyymaxdepth += YYINCREMENT;
			Ft_mathyys = (int *) realloc(Ft_mathyys, Ft_mathyymaxdepth * sizeof(int));
			Ft_mathyyv = (YYSTYPE *) realloc(Ft_mathyyv, Ft_mathyymaxdepth * sizeof(YYSTYPE));
			if (Ft_mathyys==0 || Ft_mathyyv==0) {
			    Ft_mathyyerror( (nl_msg(30002,"yacc stack overflow")) );
			    YYABORT;
			    }
			/* Reset pointers into stack */
			Ft_mathyy_ps = (Ft_mathyy_ps - Ft_mathyys_old) + Ft_mathyys;
			Ft_mathyyps = (Ft_mathyyps - Ft_mathyys_old) + Ft_mathyys;
			Ft_mathyy_pv = (Ft_mathyy_pv - Ft_mathyyv_old) + Ft_mathyyv;
			Ft_mathyypv = (Ft_mathyypv - Ft_mathyyv_old) + Ft_mathyyv;
# endif

		}
		*Ft_mathyy_ps = Ft_mathyy_state;
		*++Ft_mathyy_pv = Ft_mathyyval;

		/*
		** we have a new state - find out what to do
		*/
	Ft_mathyy_newstate:
		if ( ( Ft_mathyy_n = Ft_mathyypact[ Ft_mathyy_state ] ) <= YYFLAG )
			goto Ft_mathyydefault;		/* simple state */
#if YYDEBUG
		/*
		** if debugging, need to mark whether new token grabbed
		*/
		Ft_mathyytmp = Ft_mathyychar < 0;
#endif
		if ( ( Ft_mathyychar < 0 ) && ( ( Ft_mathyychar = Ft_mathyylex() ) < 0 ) )
			Ft_mathyychar = 0;		/* reached EOF */
#if YYDEBUG
		if ( Ft_mathyydebug && Ft_mathyytmp )
		{
			register int Ft_mathyy_i;

			printf( "Received token " );
			if ( Ft_mathyychar == 0 )
				printf( "end-of-file\n" );
			else if ( Ft_mathyychar < 0 )
				printf( "-none-\n" );
			else
			{
				for ( Ft_mathyy_i = 0; Ft_mathyytoks[Ft_mathyy_i].t_val >= 0;
					Ft_mathyy_i++ )
				{
					if ( Ft_mathyytoks[Ft_mathyy_i].t_val == Ft_mathyychar )
						break;
				}
				printf( "%s\n", Ft_mathyytoks[Ft_mathyy_i].t_name );
			}
		}
#endif /* YYDEBUG */
		if ( ( ( Ft_mathyy_n += Ft_mathyychar ) < 0 ) || ( Ft_mathyy_n >= YYLAST ) )
			goto Ft_mathyydefault;
		if ( Ft_mathyychk[ Ft_mathyy_n = Ft_mathyyact[ Ft_mathyy_n ] ] == Ft_mathyychar )	/*valid shift*/
		{
			Ft_mathyychar = -1;
			Ft_mathyyval = Ft_mathyylval;
			Ft_mathyy_state = Ft_mathyy_n;
			if ( Ft_mathyyerrflag > 0 )
				Ft_mathyyerrflag--;
			goto Ft_mathyy_stack;
		}

	Ft_mathyydefault:
		if ( ( Ft_mathyy_n = Ft_mathyydef[ Ft_mathyy_state ] ) == -2 )
		{
#if YYDEBUG
			Ft_mathyytmp = Ft_mathyychar < 0;
#endif
			if ( ( Ft_mathyychar < 0 ) && ( ( Ft_mathyychar = Ft_mathyylex() ) < 0 ) )
				Ft_mathyychar = 0;		/* reached EOF */
#if YYDEBUG
			if ( Ft_mathyydebug && Ft_mathyytmp )
			{
				register int Ft_mathyy_i;

				printf( "Received token " );
				if ( Ft_mathyychar == 0 )
					printf( "end-of-file\n" );
				else if ( Ft_mathyychar < 0 )
					printf( "-none-\n" );
				else
				{
					for ( Ft_mathyy_i = 0;
						Ft_mathyytoks[Ft_mathyy_i].t_val >= 0;
						Ft_mathyy_i++ )
					{
						if ( Ft_mathyytoks[Ft_mathyy_i].t_val
							== Ft_mathyychar )
						{
							break;
						}
					}
					printf( "%s\n", Ft_mathyytoks[Ft_mathyy_i].t_name );
				}
			}
#endif /* YYDEBUG */
			/*
			** look through exception table
			*/
			{
				register int *Ft_mathyyxi = Ft_mathyyexca;

				while ( ( *Ft_mathyyxi != -1 ) ||
					( Ft_mathyyxi[1] != Ft_mathyy_state ) )
				{
					Ft_mathyyxi += 2;
				}
				while ( ( *(Ft_mathyyxi += 2) >= 0 ) &&
					( *Ft_mathyyxi != Ft_mathyychar ) )
					;
				if ( ( Ft_mathyy_n = Ft_mathyyxi[1] ) < 0 )
					YYACCEPT;
			}
		}

		/*
		** check for syntax error
		*/
		if ( Ft_mathyy_n == 0 )	/* have an error */
		{
			/* no worry about speed here! */
			switch ( Ft_mathyyerrflag )
			{
			case 0:		/* new error */
				Ft_mathyyerror( (nl_msg(30003,"syntax error")) );
				Ft_mathyynerrs++;
				goto skip_init;
			Ft_mathyyerrlab:
				/*
				** get globals into registers.
				** we have a user generated syntax type error
				*/
				Ft_mathyy_pv = Ft_mathyypv;
				Ft_mathyy_ps = Ft_mathyyps;
				Ft_mathyy_state = Ft_mathyystate;
				Ft_mathyynerrs++;
			skip_init:
			case 1:
			case 2:		/* incompletely recovered error */
					/* try again... */
				Ft_mathyyerrflag = 3;
				/*
				** find state where "error" is a legal
				** shift action
				*/
				while ( Ft_mathyy_ps >= Ft_mathyys )
				{
					Ft_mathyy_n = Ft_mathyypact[ *Ft_mathyy_ps ] + YYERRCODE;
					if ( Ft_mathyy_n >= 0 && Ft_mathyy_n < YYLAST &&
						Ft_mathyychk[Ft_mathyyact[Ft_mathyy_n]] == YYERRCODE)					{
						/*
						** simulate shift of "error"
						*/
						Ft_mathyy_state = Ft_mathyyact[ Ft_mathyy_n ];
						goto Ft_mathyy_stack;
					}
					/*
					** current state has no shift on
					** "error", pop stack
					*/
#if YYDEBUG
#	define _POP_ "Error recovery pops state %d, uncovers state %d\n"
					if ( Ft_mathyydebug )
						printf( _POP_, *Ft_mathyy_ps,
							Ft_mathyy_ps[-1] );
#	undef _POP_
#endif
					Ft_mathyy_ps--;
					Ft_mathyy_pv--;
				}
				/*
				** there is no state on stack with "error" as
				** a valid shift.  give up.
				*/
				YYABORT;
			case 3:		/* no shift yet; eat a token */
#if YYDEBUG
				/*
				** if debugging, look up token in list of
				** pairs.  0 and negative shouldn't occur,
				** but since timing doesn't matter when
				** debugging, it doesn't hurt to leave the
				** tests here.
				*/
				if ( Ft_mathyydebug )
				{
					register int Ft_mathyy_i;

					printf( "Error recovery discards " );
					if ( Ft_mathyychar == 0 )
						printf( "token end-of-file\n" );
					else if ( Ft_mathyychar < 0 )
						printf( "token -none-\n" );
					else
					{
						for ( Ft_mathyy_i = 0;
							Ft_mathyytoks[Ft_mathyy_i].t_val >= 0;
							Ft_mathyy_i++ )
						{
							if ( Ft_mathyytoks[Ft_mathyy_i].t_val
								== Ft_mathyychar )
							{
								break;
							}
						}
						printf( "token %s\n",
							Ft_mathyytoks[Ft_mathyy_i].t_name );
					}
				}
#endif /* YYDEBUG */
				if ( Ft_mathyychar == 0 )	/* reached EOF. quit */
					YYABORT;
				Ft_mathyychar = -1;
				goto Ft_mathyy_newstate;
			}
		}/* end if ( Ft_mathyy_n == 0 ) */
		/*
		** reduction by production Ft_mathyy_n
		** put stack tops, etc. so things right after switch
		*/
#if YYDEBUG
		/*
		** if debugging, print the string that is the user's
		** specification of the reduction which is just about
		** to be done.
		*/
		if ( Ft_mathyydebug )
			printf( "Reduce by (%d) \"%s\"\n",
				Ft_mathyy_n, Ft_mathyyreds[ Ft_mathyy_n ] );
#endif
		Ft_mathyytmp = Ft_mathyy_n;			/* value to switch over */
		Ft_mathyypvt = Ft_mathyy_pv;			/* $vars top of value stack */
		/*
		** Look in goto table for next state
		** Sorry about using Ft_mathyy_state here as temporary
		** register variable, but why not, if it works...
		** If Ft_mathyyr2[ Ft_mathyy_n ] doesn't have the low order bit
		** set, then there is no action to be done for
		** this reduction.  So, no saving & unsaving of
		** registers done.  The only difference between the
		** code just after the if and the body of the if is
		** the goto Ft_mathyy_stack in the body.  This way the test
		** can be made before the choice of what to do is needed.
		*/
		{
			/* length of production doubled with extra bit */
			register int Ft_mathyy_len = Ft_mathyyr2[ Ft_mathyy_n ];

			if ( !( Ft_mathyy_len & 01 ) )
			{
				Ft_mathyy_len >>= 1;
				Ft_mathyyval = ( Ft_mathyy_pv -= Ft_mathyy_len )[1];	/* $$ = $1 */
				Ft_mathyy_state = Ft_mathyypgo[ Ft_mathyy_n = Ft_mathyyr1[ Ft_mathyy_n ] ] +
					*( Ft_mathyy_ps -= Ft_mathyy_len ) + 1;
				if ( Ft_mathyy_state >= YYLAST ||
					Ft_mathyychk[ Ft_mathyy_state =
					Ft_mathyyact[ Ft_mathyy_state ] ] != -Ft_mathyy_n )
				{
					Ft_mathyy_state = Ft_mathyyact[ Ft_mathyypgo[ Ft_mathyy_n ] ];
				}
				goto Ft_mathyy_stack;
			}
			Ft_mathyy_len >>= 1;
			Ft_mathyyval = ( Ft_mathyy_pv -= Ft_mathyy_len )[1];	/* $$ = $1 */
			Ft_mathyy_state = Ft_mathyypgo[ Ft_mathyy_n = Ft_mathyyr1[ Ft_mathyy_n ] ] +
				*( Ft_mathyy_ps -= Ft_mathyy_len ) + 1;
			if ( Ft_mathyy_state >= YYLAST ||
				Ft_mathyychk[ Ft_mathyy_state = Ft_mathyyact[ Ft_mathyy_state ] ] != -Ft_mathyy_n )
			{
				Ft_mathyy_state = Ft_mathyyact[ Ft_mathyypgo[ Ft_mathyy_n ] ];
			}
		}
					/* save until reenter driver code */
		Ft_mathyystate = Ft_mathyy_state;
		Ft_mathyyps = Ft_mathyy_ps;
		Ft_mathyypv = Ft_mathyy_pv;
	}
	/*
	** code supplied by user is placed in this switch
	*/
	switch( Ft_mathyytmp )
	{
		
case 4:
# line 77 "parse.y"
{
            CODE("STOP");
            code(STOP); Ft_execute(Ft_Progbase); return(1); } break;
case 5:
# line 80 "parse.y"
{ Ft_mathyyerrok; } break;
case 8:
# line 85 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-2].sym->name, "assign");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-2].sym, Ft_assign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 9:
# line 88 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-2].sym->name, "addassign");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-2].sym, Ft_addassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 10:
# line 91 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-2].sym->name, "subassign");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-2].sym, Ft_subassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 11:
# line 94 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-2].sym->name, "mulassign");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-2].sym, Ft_mulassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 12:
# line 97 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-2].sym->name, "divassign");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-2].sym, Ft_divassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 13:
# line 100 "parse.y"
{
            CODE("argassign"); ARGNO(Ft_mathyypvt[-2].narg);
            code2(Ft_argassign, (Inst)Ft_mathyypvt[-2].narg); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 14:
# line 103 "parse.y"
{
            CODE("argaddassign"); ARGNO(Ft_mathyypvt[-2].narg);
            code2(Ft_argaddassign, (Inst)Ft_mathyypvt[-2].narg); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 15:
# line 106 "parse.y"
{
            CODE("argsubassign"); ARGNO(Ft_mathyypvt[-2].narg);
            code2(Ft_argsubassign, (Inst)Ft_mathyypvt[-2].narg); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 16:
# line 109 "parse.y"
{
            CODE("argmulassign"); ARGNO(Ft_mathyypvt[-2].narg);
            code2(Ft_argmulassign, (Inst)Ft_mathyypvt[-2].narg); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 17:
# line 112 "parse.y"
{
            CODE("argdivassign"); ARGNO(Ft_mathyypvt[-2].narg);
            code2(Ft_argdivassign, (Inst)Ft_mathyypvt[-2].narg); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 18:
# line 115 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-2].narg); CODE("eassign");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-2].narg, Ft_eassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 19:
# line 118 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-2].narg); CODE("eaddassign");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-2].narg, Ft_eaddassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 20:
# line 121 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-2].narg); CODE("esubassign");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-2].narg, Ft_esubassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 21:
# line 124 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-2].narg); CODE("emulassign");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-2].narg, Ft_emulassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 22:
# line 127 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-2].narg); CODE("edivassign");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-2].narg, Ft_edivassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 23:
# line 130 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-2].sym->name, "eassign");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-2].sym, Ft_eassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 24:
# line 133 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-2].sym->name, "eaddassign");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-2].sym, Ft_eaddassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 25:
# line 136 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-2].sym->name, "esubassign");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-2].sym, Ft_esubassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 26:
# line 139 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-2].sym->name, "emulassign");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-2].sym, Ft_emulassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 27:
# line 142 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-2].sym->name, "edivassign");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-2].sym, Ft_edivassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 28:
# line 146 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-2].sym->name, "strassign");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-2].sym, Ft_strassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 29:
# line 149 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-2].narg); CODE("strassign");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-2].narg, Ft_strassign); Ft_mathyyval.inst=Ft_mathyypvt[-0].inst; } break;
case 30:
# line 153 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-3].sym->name, "assign");
            CODE2("nullpop", "STOP");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-3].sym, Ft_assign);
            code2(Ft_nullpop, STOP); } break;
case 31:
# line 158 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-3].sym->name, "addassign");
            CODE2("nullpop", "STOP");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-3].sym, Ft_addassign);
            code2(Ft_nullpop, STOP); } break;
case 32:
# line 163 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-3].sym->name, "subassign");
            CODE2("nullpop", "STOP");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-3].sym, Ft_subassign);
            code2(Ft_nullpop, STOP); } break;
case 33:
# line 168 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-3].sym->name, "mulassign");
            CODE2("nullpop", "STOP");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-3].sym, Ft_mulassign);
            code2(Ft_nullpop, STOP); } break;
case 34:
# line 173 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-3].sym->name, "divassign");
            CODE2("nullpop", "STOP");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-3].sym, Ft_divassign);
            code2(Ft_nullpop, STOP); } break;
case 35:
# line 178 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-3].narg); CODE("assign");
            CODE2("nullpop", "STOP");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-3].narg, Ft_assign);
            code2(Ft_nullpop, STOP); } break;
case 36:
# line 183 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-3].narg); CODE("addassign");
            CODE2("nullpop", "STOP");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-3].narg, Ft_addassign);
            code2(Ft_nullpop, STOP); } break;
case 37:
# line 188 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-3].narg); CODE("subassign");
            CODE2("nullpop", "STOP");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-3].narg, Ft_subassign);
            code2(Ft_nullpop, STOP); } break;
case 38:
# line 193 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-3].narg); CODE("mulassign");
            CODE2("nullpop", "STOP");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-3].narg, Ft_mulassign);
            code2(Ft_nullpop, STOP); } break;
case 39:
# line 198 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-3].narg); CODE("divassign");
            CODE2("nullpop", "STOP");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-3].narg, Ft_divassign);
            code2(Ft_nullpop, STOP); } break;
case 40:
# line 204 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-3].sym->name, "assign");
            CODE2("nullpop", "STOP");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-3].sym, Ft_assign);
            code2(Ft_nullpop, STOP); } break;
case 41:
# line 209 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-3].sym->name, "addassign");
            CODE2("nullpop", "STOP");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-3].sym, Ft_addassign);
            code2(Ft_nullpop, STOP); } break;
case 42:
# line 214 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-3].sym->name, "subassign");
            CODE2("nullpop", "STOP");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-3].sym, Ft_subassign);
            code2(Ft_nullpop, STOP); } break;
case 43:
# line 219 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-3].sym->name, "mulassign");
            CODE2("nullpop", "STOP");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-3].sym, Ft_mulassign);
            code2(Ft_nullpop, STOP); } break;
case 44:
# line 224 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-3].sym->name, "divassign");
            CODE2("nullpop", "STOP");
            code3(Ft_varpush, (Inst)Ft_mathyypvt[-3].sym, Ft_divassign);
            code2(Ft_nullpop, STOP); } break;
case 45:
# line 229 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-3].narg); CODE("assign");
            CODE2("nullpop", "STOP");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-3].narg, Ft_assign);
            code2(Ft_nullpop, STOP); } break;
case 46:
# line 234 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-3].narg); CODE("addassign");
            CODE2("nullpop", "STOP");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-3].narg, Ft_addassign);
            code2(Ft_nullpop, STOP); } break;
case 47:
# line 239 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-3].narg); CODE("subassign");
            CODE2("nullpop", "STOP");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-3].narg, Ft_subassign);
            code2(Ft_nullpop, STOP); } break;
case 48:
# line 244 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-3].narg); CODE("mulassign");
            CODE2("nullpop", "STOP");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-3].narg, Ft_mulassign);
            code2(Ft_nullpop, STOP); } break;
case 49:
# line 249 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-3].narg); CODE("divassign");
            CODE2("nullpop", "STOP");
            code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-3].narg, Ft_divassign);
            code2(Ft_nullpop, STOP); } break;
case 50:
# line 255 "parse.y"
{ Ft_mathyyval.narg=Ft_mathyypvt[-1].narg; } break;
case 51:
# line 256 "parse.y"
{ Ft_mathyyval.narg=Ft_mathyypvt[-1].narg; } break;
case 52:
# line 258 "parse.y"
{ Ft_mathyyval.sym=Ft_mathyypvt[-1].sym; } break;
case 53:
# line 259 "parse.y"
{ Ft_mathyyval.sym=Ft_mathyypvt[-1].sym; } break;
case 55:
# line 263 "parse.y"
{
            CODE("vecloop");
            Ft_mathyyval.inst = code(Ft_vecloop); } break;
case 56:
# line 267 "parse.y"
{
            CODE("parloop");
            Ft_mathyyval.inst = code(Ft_parloop); } break;
case 57:
# line 271 "parse.y"
{
            CODE("nullpop");
            code(Ft_nullpop); } break;
case 58:
# line 274 "parse.y"
{
            CODE("nullpop");
            code(Ft_nullpop); } break;
case 61:
# line 279 "parse.y"
{
            CODE("linprnl");
            code(Ft_linprnl); } break;
case 62:
# line 282 "parse.y"
{ Ft_mathyyval.inst = Ft_mathyypvt[-0].inst;} break;
case 63:
# line 283 "parse.y"
{
            CODE("procret");
            Ft_defnonly(PROC, "return"); Ft_mathyyval.inst = code(Ft_procret); } break;
case 64:
# line 286 "parse.y"
{
            CODE("funcret");
            Ft_defnonly(FUNC, "return"); Ft_mathyyval.inst = Ft_mathyypvt[-1].inst; code(Ft_funcret); } break;
case 65:
# line 289 "parse.y"
{
            CODE("STOP");
            Ft_defnonly(WHILE, "continue"); Ft_mathyyval.inst = code(STOP); } break;
case 66:
# line 292 "parse.y"
{
            CODE("breakit");
            Ft_defnonly(WHILE, "break"); Ft_mathyyval.inst = code(Ft_breakit); } break;
case 67:
# line 295 "parse.y"
{
            CODE2("extcall", Ft_mathyypvt[-4].sym->name); ARGNO(Ft_mathyypvt[-1].narg);
            Ft_mathyyval.inst=Ft_mathyypvt[-3].inst; code3(Ft_extcall, (Inst)Ft_mathyypvt[-4].sym, (Inst)Ft_mathyypvt[-1].narg); } break;
case 68:
# line 298 "parse.y"
{
            CODE2("call", Ft_mathyypvt[-4].sym->name); ARGNO(Ft_mathyypvt[-1].narg);
            Ft_mathyyval.inst=Ft_mathyypvt[-3].inst; code3(Ft_call, (Inst)Ft_mathyypvt[-4].sym, (Inst)Ft_mathyypvt[-1].narg); } break;
case 69:
# line 301 "parse.y"
{
            CODE("Replace while[1]"); PNUM(Ft_mathyypvt[-1].inst-prog);
              (Ft_mathyypvt[-4].inst)[1] = (Inst) Ft_mathyypvt[-1].inst;
            CODE("Replace while[2]"); PNUM(Ft_mathyypvt[-0].inst-prog);
              (Ft_mathyypvt[-4].inst)[2] = (Inst) Ft_mathyypvt[-0].inst; } break;
case 70:
# line 306 "parse.y"
{
            CODE("Replace if[1]"); PNUM(Ft_mathyypvt[-2].inst-prog);
              (Ft_mathyypvt[-5].inst)[1] = (Inst) Ft_mathyypvt[-2].inst;
            CODE("Replace if[3]"); PNUM(Ft_mathyypvt[-0].inst-prog);
              (Ft_mathyypvt[-5].inst)[3] = (Inst) Ft_mathyypvt[-0].inst; } break;
case 71:
# line 311 "parse.y"
{
            CODE("Replace if[1]"); PNUM(Ft_mathyypvt[-5].inst-prog);
              (Ft_mathyypvt[-8].inst)[1] = (Inst) Ft_mathyypvt[-5].inst;
            CODE("Replace if[2]"); PNUM(Ft_mathyypvt[-1].inst-prog);
              (Ft_mathyypvt[-8].inst)[2] = (Inst) Ft_mathyypvt[-1].inst;
            CODE("Replace if[3]"); PNUM(Ft_mathyypvt[-0].inst-prog);
              (Ft_mathyypvt[-8].inst)[3] = (Inst) Ft_mathyypvt[-0].inst; } break;
case 72:
# line 318 "parse.y"
{
            CODE("Replace for[1]"); PNUM(Ft_mathyypvt[-5].inst-prog);
              (Ft_mathyypvt[-6].inst)[1] = (Inst) Ft_mathyypvt[-5].inst;
            CODE("Replace for[2]"); PNUM(Ft_mathyypvt[-4].inst-prog);
              (Ft_mathyypvt[-6].inst)[2] = (Inst) Ft_mathyypvt[-4].inst;
            CODE("Replace for[3]"); PNUM(Ft_mathyypvt[-1].inst-prog);
              (Ft_mathyypvt[-6].inst)[3] = (Inst) Ft_mathyypvt[-1].inst;
            CODE("Replace for[4]"); PNUM(Ft_mathyypvt[-0].inst-prog);
              (Ft_mathyypvt[-6].inst)[4] = (Inst) Ft_mathyypvt[-0].inst; } break;
case 73:
# line 327 "parse.y"
{
			if (Ft_mathyypvt[-0].narg) {
				CODE("boost"); ARGNO(Ft_mathyypvt[-0].narg);
				code2(Ft_boost, (Inst)Ft_mathyypvt[-0].narg);
			};						} break;
case 74:
# line 332 "parse.y"
{ ; } break;
case 76:
# line 335 "parse.y"
{ if (!Ft_more_input(Ft_Inbrace, interprompt)) {
					Ft_matherror("Incomplete statement.", 0, 0);
				   };						} break;
case 77:
# line 339 "parse.y"
{ Ft_Inbrace++; Ft_mathyyval.inst = Ft_Progp; } break;
case 78:
# line 341 "parse.y"
{
				{ 	int num = Ft_autosymremove(Ft_Inbrace--);
					if (num) {
						CODE("restore"); ARGNO(num);
						code2(Ft_restore, (Inst)num);
					};
				}; 						} break;
case 80:
# line 350 "parse.y"
{ if (!Ft_more_input(Ft_Inbrace, 0)) {
							Ft_matherror("Unmatched brace.", 0, 0);
				   		};						} break;
case 82:
# line 355 "parse.y"
{ Ft_mathyyval.narg = 0; } break;
case 83:
# line 356 "parse.y"
{ Ft_mathyyval.narg = Ft_mathyypvt[-0].narg; } break;
case 84:
# line 357 "parse.y"
{ Ft_mathyyval.narg = Ft_mathyypvt[-1].narg; } break;
case 85:
# line 358 "parse.y"
{ Ft_mathyyval.narg = Ft_mathyypvt[-1].narg; 
							if (!Ft_more_input(Ft_Inbrace, 0)) {
								Ft_matherror("Unmatched brace.", 0, 0);
				    		};						} break;
case 86:
# line 362 "parse.y"
{ Ft_mathyyval.narg = Ft_mathyypvt[-1].narg + Ft_mathyypvt[-0].narg; } break;
case 87:
# line 364 "parse.y"
{ Ft_Inauto = 1; } break;
case 88:
# line 365 "parse.y"
{ Ft_Inauto = 0; Ft_mathyyval.narg = Ft_mathyypvt[-0].narg; } break;
case 89:
# line 367 "parse.y"
{
			CODE2("pushnull", "pushexprtype");
			code2(Ft_pushnull, Ft_pushexprtype); Ft_mathyyval.narg = 1; } break;
case 90:
# line 370 "parse.y"
{ Ft_Inauto = 0; } break;
case 91:
# line 371 "parse.y"
{
			CODE("pushexprtype");
			code(Ft_pushexprtype); Ft_mathyyval.narg = 1; Ft_Inauto = 1; } break;
case 92:
# line 374 "parse.y"
{
			CODE2("strmake", "pushastrtype");
			code2(Ft_strmake, Ft_pushastrtype); Ft_mathyyval.narg = 1; } break;
case 93:
# line 377 "parse.y"
{
			CODE2("vecmake", "pushavectype");
			code2(Ft_vecmake, Ft_pushavectype); Ft_mathyyval.narg = 1; } break;
case 94:
# line 380 "parse.y"
{
			CODE2("pushnull", "pushexprtype");
			code2(Ft_pushnull, Ft_pushexprtype); Ft_mathyyval.narg = Ft_mathyypvt[-2].narg + 1; } break;
case 95:
# line 383 "parse.y"
{ Ft_Inauto = 0; } break;
case 96:
# line 384 "parse.y"
{
			CODE("pushexprtype");
			code(Ft_pushexprtype); Ft_Inauto = 1; Ft_mathyyval.narg = Ft_mathyypvt[-5].narg + 1; } break;
case 97:
# line 387 "parse.y"
{
			CODE2("vecmake", "pushavectype");
			code2(Ft_vecmake, Ft_pushavectype); Ft_mathyyval.narg = Ft_mathyypvt[-2].narg + 1; } break;
case 98:
# line 390 "parse.y"
{
			CODE2("stramke", "pushastrtype");
			code2(Ft_strmake, Ft_pushastrtype); Ft_mathyyval.narg = Ft_mathyypvt[-2].narg + 1; } break;
case 99:
# line 394 "parse.y"
{
            CODE("STOP");
            code(STOP); Ft_mathyyval.inst=Ft_mathyypvt[-1].inst; } break;
case 100:
# line 398 "parse.y"
{
            CODE("STOP");
            code(STOP); Ft_mathyyval.inst=Ft_Progp; } break;
case 101:
# line 402 "parse.y"
{
            CODE("nullpop");
            code(Ft_nullpop); } break;
case 102:
# line 405 "parse.y"
{
            CODE("nullpop");
            code(Ft_nullpop); } break;
case 105:
# line 410 "parse.y"
{
            CODE("nullpop");
            code(Ft_nullpop); } break;
case 106:
# line 413 "parse.y"
{
            CODE("nullpop");
            code(Ft_nullpop); } break;
case 109:
# line 419 "parse.y"
{
            CODE("STOP");
            code(STOP);  Ft_mathyyval.inst=Ft_Progp; } break;
case 110:
# line 423 "parse.y"
{
            CODE("STOP");
            code(STOP); } break;
case 111:
# line 427 "parse.y"
{
            CODE("nullpop");
            code(Ft_nullpop); } break;
case 112:
# line 430 "parse.y"
{
            CODE("nullpop");
            code(Ft_nullpop); } break;
case 115:
# line 435 "parse.y"
{
            CODE("nullpop");
            code(Ft_nullpop); } break;
case 116:
# line 438 "parse.y"
{
            CODE("nullpop");
            code(Ft_nullpop); } break;
case 119:
# line 444 "parse.y"
{
            CODE3("whilecode", "STOP", "STOP");
            Ft_mathyyval.inst = code3(Ft_whilecode, STOP, STOP); 
			interprompt = "while? "; } break;
case 120:
# line 449 "parse.y"
{
            CODE("ifcode"); CODE3("STOP", "STOP", "STOP");
            Ft_mathyyval.inst = code(Ft_ifcode); code3(STOP, STOP, STOP);
			interprompt = "if? "; } break;
case 121:
# line 454 "parse.y"
{
            CODE("STOP");
            code(STOP); Ft_mathyyval.inst = Ft_Progp;
			interprompt = "else? "; } break;
case 122:
# line 459 "parse.y"
{
            CODE("forcode"); CODE("STOP"); CODE3("STOP", "STOP", "STOP");
            Ft_mathyyval.inst = code(Ft_forcode); code(STOP); code3(STOP, STOP, STOP);
			interprompt = "for? "; } break;
case 123:
# line 464 "parse.y"
{ Ft_mathyyval.inst = Ft_Progp; } break;
case 124:
# line 466 "parse.y"
{
            CODE("STOP");
            code(STOP); Ft_mathyyval.inst = Ft_Progp; } break;
case 128:
# line 474 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-0].sym->name, "eval");
            Ft_mathyyval.inst = code3(Ft_varpush, (Inst)Ft_mathyypvt[-0].sym, Ft_eval); } break;
case 129:
# line 477 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-0].narg); CODE("eval");
            Ft_mathyyval.inst = code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-0].narg, Ft_eval); } break;
case 132:
# line 484 "parse.y"
{
            CODE2("varpush", Ft_mathyypvt[-0].sym->name);
            Ft_mathyyval.inst = code2(Ft_varpush, (Inst)Ft_mathyypvt[-0].sym); } break;
case 133:
# line 487 "parse.y"
{
            CODE2("varpush", Ft_mathyypvt[-0].sym->name);
            Ft_mathyyval.inst = code2(Ft_varpush, (Inst)Ft_mathyypvt[-0].sym); } break;
case 134:
# line 491 "parse.y"
{
            CODE2("varpush", Ft_mathyypvt[-0].sym->name);
            Ft_mathyyval.inst = code2(Ft_varpush, (Inst)Ft_mathyypvt[-0].sym); } break;
case 136:
# line 496 "parse.y"
{
            CODE2("varpush", Ft_mathyypvt[-0].sym->name);
            Ft_mathyyval.inst = code2(Ft_varpush, (Inst)Ft_mathyypvt[-0].sym); } break;
case 137:
# line 500 "parse.y"
{
            CODE2("varpush", Ft_mathyypvt[-0].sym->name);
            Ft_mathyyval.inst = code2(Ft_varpush, (Inst)Ft_mathyypvt[-0].sym); } break;
case 138:
# line 504 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-0].sym->name, "preieval");
            Ft_mathyyval.inst = code3(Ft_varpush, (Inst)Ft_mathyypvt[-0].sym, Ft_preieval); } break;
case 139:
# line 507 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-1].sym->name, "postieval");
            Ft_mathyyval.inst = code3(Ft_varpush, (Inst)Ft_mathyypvt[-1].sym, Ft_postieval); } break;
case 140:
# line 510 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-0].sym->name, "predeval");
            Ft_mathyyval.inst = code3(Ft_varpush, (Inst)Ft_mathyypvt[-0].sym, Ft_predeval); } break;
case 141:
# line 513 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-1].sym->name, "postdeval");
            Ft_mathyyval.inst = code3(Ft_varpush, (Inst)Ft_mathyypvt[-1].sym, Ft_postdeval); } break;
case 142:
# line 516 "parse.y"
{
            CODE("preiargpush"); ARGNO(Ft_mathyypvt[-0].narg);
            Ft_mathyyval.inst = code2(Ft_preiargpush, (Inst)Ft_mathyypvt[-0].narg); } break;
case 143:
# line 519 "parse.y"
{
            CODE("postiargpush"); ARGNO(Ft_mathyypvt[-1].narg);
            Ft_mathyyval.inst = code2(Ft_postiargpush, (Inst)Ft_mathyypvt[-1].narg); } break;
case 144:
# line 522 "parse.y"
{
            CODE("predargpush"); ARGNO(Ft_mathyypvt[-0].narg);
            Ft_mathyyval.inst = code2(Ft_predargpush, (Inst)Ft_mathyypvt[-0].narg); } break;
case 145:
# line 525 "parse.y"
{
            CODE("postdargpush"); ARGNO(Ft_mathyypvt[-1].narg);
            Ft_mathyyval.inst = code2(Ft_postdargpush, (Inst)Ft_mathyypvt[-1].narg); } break;
case 146:
# line 529 "parse.y"
{
            CODE2("constpush", "number");
            Ft_mathyyval.inst = code(Ft_constpush); Ft_dblcode(Ft_mathyypvt[-0].val); } break;
case 147:
# line 532 "parse.y"
{
            CODE("argpush"); ARGNO(Ft_mathyypvt[-0].narg);
            Ft_mathyyval.inst = code2(Ft_argpush, (Inst)Ft_mathyypvt[-0].narg); } break;
case 148:
# line 535 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-0].sym->name, "eval");
            Ft_mathyyval.inst = code3(Ft_varpush, (Inst)Ft_mathyypvt[-0].sym, Ft_eval); } break;
case 149:
# line 538 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-0].sym->name, "eval");
            Ft_mathyyval.inst = code3(Ft_varpush, (Inst)Ft_mathyypvt[-0].sym, Ft_eval); } break;
case 150:
# line 541 "parse.y"
{
            CODE2("extcall", Ft_mathyypvt[-4].sym->name); ARGNO(Ft_mathyypvt[-1].narg);
            Ft_mathyyval.inst = Ft_mathyypvt[-3].inst; code3(Ft_extcall, (Inst)Ft_mathyypvt[-4].sym, (Inst)Ft_mathyypvt[-1].narg); } break;
case 151:
# line 544 "parse.y"
{
            CODE2("call", Ft_mathyypvt[-4].sym->name); ARGNO(Ft_mathyypvt[-1].narg);
            Ft_mathyyval.inst = Ft_mathyypvt[-3].inst; code3(Ft_call, (Inst)Ft_mathyypvt[-4].sym, (Inst)Ft_mathyypvt[-1].narg); } break;
case 152:
# line 547 "parse.y"
{
            CODE2("builtin0", Ft_mathyypvt[-2].sym->name);
            Ft_mathyyval.inst = code2(Ft_bltin0, (Inst)Ft_mathyypvt[-2].sym->u.ptr); } break;
case 153:
# line 550 "parse.y"
{
            CODE2("builtin1vec", Ft_mathyypvt[-3].sym->name);
            Ft_mathyyval.inst = code2(Ft_bltin1vec, (Inst)Ft_mathyypvt[-3].sym->u.ptr); } break;
case 154:
# line 553 "parse.y"
{
            CODE2("builtin1", Ft_mathyypvt[-3].sym->name);
            Ft_mathyyval.inst = code2(Ft_bltin1, (Inst)Ft_mathyypvt[-3].sym->u.ptr); } break;
case 155:
# line 556 "parse.y"
{
            CODE2("builtin2", Ft_mathyypvt[-5].sym->name);
            Ft_mathyyval.inst = code2(Ft_bltin2, (Inst)Ft_mathyypvt[-5].sym->u.ptr); } break;
case 156:
# line 559 "parse.y"
{
            CODE2("strbltin2", Ft_mathyypvt[-5].sym->u.str);
            Ft_mathyyval.inst = code2(Ft_strbltin2, (Inst)Ft_mathyypvt[-5].sym->u.str); } break;
case 157:
# line 562 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-0].sym->name, "eeval");
            Ft_mathyyval.inst = code3(Ft_varpush, (Inst)Ft_mathyypvt[-0].sym, Ft_eeval); } break;
case 158:
# line 565 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-0].narg); CODE("eeval");
            Ft_mathyyval.inst = code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-0].narg, Ft_eeval); } break;
case 159:
# line 568 "parse.y"
{ Ft_mathyyval.inst = Ft_mathyypvt[-1].inst;    } break;
case 160:
# line 569 "parse.y"
{
            CODE("add");
            code(Ft_add); } break;
case 161:
# line 572 "parse.y"
{
            CODE("sub");
            code(Ft_sub); } break;
case 162:
# line 575 "parse.y"
{
            CODE("div");
            code(Ft_div); } break;
case 163:
# line 578 "parse.y"
{
            CODE("modulo");
            code(Ft_modulo); } break;
case 164:
# line 581 "parse.y"
{
            CODE("mul");
            code(Ft_mul); } break;
case 165:
# line 584 "parse.y"
{
            CODE("power");
            code(Ft_power); } break;
case 166:
# line 587 "parse.y"
{
            CODE("negate");
            Ft_mathyyval.inst = Ft_mathyypvt[-0].inst; code(Ft_negate); } break;
case 167:
# line 590 "parse.y"
{
            CODE("streq");
            code(Ft_streq);  } break;
case 168:
# line 593 "parse.y"
{
            CODE("strne");
            code(Ft_strne);  } break;
case 169:
# line 596 "parse.y"
{
            CODE("gt");
            code(Ft_gt); } break;
case 170:
# line 599 "parse.y"
{
            CODE("ge");
            code(Ft_ge); } break;
case 171:
# line 602 "parse.y"
{
            CODE("lt");
            code(Ft_lt);  } break;
case 172:
# line 605 "parse.y"
{
            CODE("le");
            code(Ft_le);  } break;
case 173:
# line 608 "parse.y"
{
            CODE("eq");
            code(Ft_eq);  } break;
case 174:
# line 611 "parse.y"
{
            CODE("ne");
            code(Ft_ne);  } break;
case 175:
# line 614 "parse.y"
{
            CODE("and");
            code(Ft_and); } break;
case 176:
# line 617 "parse.y"
{
            CODE("or");
            code(Ft_or);  } break;
case 177:
# line 620 "parse.y"
{
            CODE("not");
            Ft_mathyyval.inst = Ft_mathyypvt[-0].inst; code(Ft_not); } break;
case 180:
# line 627 "parse.y"
{
            CODE2("strpush", "string");
            Ft_mathyyval.inst = code2(Ft_strpush, (Inst)Ft_mathyypvt[-0].sym); } break;
case 181:
# line 630 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-0].sym->name, "streval");
            Ft_mathyyval.inst = code3(Ft_varpush, (Inst)Ft_mathyypvt[-0].sym, Ft_streval); } break;
case 182:
# line 633 "parse.y"
{
            CODE("argvarpush"); ARGNO(Ft_mathyypvt[-0].narg); CODE("streval");
            Ft_mathyyval.inst = code3(Ft_argvarpush, (Inst)Ft_mathyypvt[-0].narg, Ft_streval); } break;
case 183:
# line 636 "parse.y"
{
            CODE3("varpush", Ft_mathyypvt[-0].sym->name, "streval");
            Ft_mathyyval.inst = code3(Ft_varpush, (Inst)Ft_mathyypvt[-0].sym, Ft_streval); } break;
case 184:
# line 639 "parse.y"
{
            CODE2("builtin2str", Ft_mathyypvt[-5].sym->name);
            code2(Ft_bltin2str, (Inst)Ft_mathyypvt[-5].sym->u.ptr); } break;
case 185:
# line 642 "parse.y"
{
            CODE2("builtin1str", Ft_mathyypvt[-3].sym->name);
            code2(Ft_bltin1str, (Inst)Ft_mathyypvt[-3].sym->u.ptr); } break;
case 186:
# line 645 "parse.y"
{
            CODE2("builtin0str", Ft_mathyypvt[-2].sym->name);
            code2(Ft_bltin0str, (Inst)Ft_mathyypvt[-2].sym->u.ptr); } break;
case 187:
# line 648 "parse.y"
{
        CODE("strsub");
        code(Ft_strsub); } break;
case 188:
# line 651 "parse.y"
{
        CODE("stradd");
        code(Ft_stradd); } break;
case 189:
# line 654 "parse.y"
{ Ft_mathyyval.inst = Ft_mathyypvt[-1].inst; } break;
case 190:
# line 656 "parse.y"
{ Ft_chkfunc(FUNCSYM, Ft_mathyypvt[-0].sym); Ft_Indef=1; } break;
case 191:
# line 657 "parse.y"
{ Ft_Inproto = 1; Ft_autosymremove(0); } break;
case 192:
# line 658 "parse.y"
{ Ft_Inproto = 0; CODE("STOP"); code(STOP); } break;
case 193:
# line 659 "parse.y"
{
            CODE("procret");
            code(Ft_procret); Ft_define(Ft_mathyypvt[-7].sym); Ft_Indef = 0;
		    Ft_autosymremove(0); } break;
case 194:
# line 663 "parse.y"
{ Ft_chkfunc(PROCSYM, Ft_mathyypvt[-0].sym); Ft_Indef=1; } break;
case 195:
# line 664 "parse.y"
{ Ft_Inproto = 1; Ft_autosymremove(0); } break;
case 196:
# line 665 "parse.y"
{ Ft_Inproto = 0; CODE("STOP"); code(STOP); } break;
case 197:
# line 666 "parse.y"
{
            CODE("procret");
            code(Ft_procret); Ft_define(Ft_mathyypvt[-7].sym); Ft_Indef = 0;
            Ft_autosymremove(0); } break;
case 202:
# line 676 "parse.y"
{ CODE("NUMBER"); code((Inst)NUMBER); } break;
case 203:
# line 677 "parse.y"
{ CODE("VEC"); code((Inst)VEC); } break;
case 204:
# line 678 "parse.y"
{ CODE("PARAM"); code((Inst)PARAM); } break;
case 205:
# line 679 "parse.y"
{ CODE("STRVAR"); code((Inst)STRVAR); } break;
case 206:
# line 680 "parse.y"
{ CODE("NUMBER"); code((Inst)NUMBER); } break;
case 207:
# line 681 "parse.y"
{ CODE("VEC"); code((Inst)VEC); } break;
case 208:
# line 682 "parse.y"
{ CODE("PARAM"); code((Inst)PARAM); } break;
case 209:
# line 683 "parse.y"
{ CODE("STRVAR"); code((Inst)STRVAR); } break;
case 210:
# line 685 "parse.y"
{ Ft_mathyyval.narg = 0; } break;
case 211:
# line 686 "parse.y"
{ CODE("pushpartype"); code(Ft_pushpartype); Ft_mathyyval.narg = 1; } break;
case 212:
# line 687 "parse.y"
{ CODE("pushvectype"); code(Ft_pushvectype); Ft_mathyyval.narg = 1; } break;
case 213:
# line 688 "parse.y"
{ CODE("pushstrtype"); code(Ft_pushstrtype); Ft_mathyyval.narg = 1; } break;
case 214:
# line 689 "parse.y"
{ CODE("pushexprtype"); code(Ft_pushexprtype); Ft_mathyyval.narg = 1; } break;
case 215:
# line 690 "parse.y"
{ CODE("pushpartype"); code(Ft_pushpartype);
                            Ft_mathyyval.narg = Ft_mathyypvt[-2].narg + 1; } break;
case 216:
# line 692 "parse.y"
{ CODE("pushvectype"); code(Ft_pushvectype);
                            Ft_mathyyval.narg = Ft_mathyypvt[-2].narg + 1; } break;
case 217:
# line 694 "parse.y"
{ CODE("pushstrtype"); code(Ft_pushstrtype);
                            Ft_mathyyval.narg = Ft_mathyypvt[-2].narg + 1; } break;
case 218:
# line 696 "parse.y"
{ CODE("pushexprtype"); code(Ft_pushexprtype);
                            Ft_mathyyval.narg = Ft_mathyypvt[-2].narg + 1; } break;
case 219:
# line 699 "parse.y"
{
            CODE("linprexpr");
            code(Ft_linprexpr); } break;
case 220:
# line 702 "parse.y"
{
            CODE("linprstr");
            code(Ft_linprstr);  } break;
case 221:
# line 705 "parse.y"
{
            CODE("linprexpr");
            code(Ft_linprexpr); } break;
case 222:
# line 708 "parse.y"
{
            CODE("linprstr");
            code(Ft_linprstr);  } break;
case 223:
# line 712 "parse.y"
{
            CODE("prexpr");
            code(Ft_prexpr); } break;
case 224:
# line 715 "parse.y"
{
            CODE("prstr");
            code(Ft_prstr);  } break;
case 225:
# line 718 "parse.y"
{
            CODE("prexpr");
            code(Ft_prexpr); } break;
case 226:
# line 721 "parse.y"
{
            CODE("prstr");
            code(Ft_prstr);  } break;
	}
	goto Ft_mathyystack;		/* reset registers in driver code */
}

# ifdef __RUNTIME_YYMAXDEPTH

static int allocate_stacks() {
	/* allocate the Ft_mathyys and Ft_mathyyv stacks */
	Ft_mathyys = (int *) malloc(Ft_mathyymaxdepth * sizeof(int));
	Ft_mathyyv = (YYSTYPE *) malloc(Ft_mathyymaxdepth * sizeof(YYSTYPE));

	if (Ft_mathyys==0 || Ft_mathyyv==0) {
	   Ft_mathyyerror( (nl_msg(30004,"unable to allocate space for yacc stacks")) );
	   return(1);
	   }
	else return(0);

}


static void free_stacks() {
	if (Ft_mathyys!=0) free((char *) Ft_mathyys);
	if (Ft_mathyyv!=0) free((char *) Ft_mathyyv);
}

# endif  /* defined(__RUNTIME_YYMAXDEPTH) */

